#include "multilanguageedit.h"

MultiLanguageEdit::MultiLanguageEdit( QWidget *parent ) : QWidget( parent )
{
  setupUi( this );
}

QString MultiLanguageEdit::getDEText( void )
{
  return leDE->text();
}

QString MultiLanguageEdit::getENText( void )
{
  return leEN->text();
}

QString MultiLanguageEdit::getEEText( void )
{
    return leEE->text();
}

bool MultiLanguageEdit::isSomeoneEmpty()
{
  if( leDE->text().isEmpty() ||
      leEN->text().isEmpty() ||
      leEE->text().isEmpty() )
    return true;
  return false;
}

void MultiLanguageEdit::clearEdits()
{
  leDE->clear();
  leEN->clear();
  leEE->clear();
}
